#pragma once
#include "domain/monitored_items.h"

namespace spin {
    class IStateHandler {
    public:
        virtual ~IStateHandler() = default;

        virtual void handleBridgeConnected() = 0;

        virtual void handleBridgeDisconnected() = 0;

        virtual void handleMonitoredState(const MonitoredItems &monitoredItems) = 0;

        virtual void reset() = 0;
    };


} // namespace spin